clc

% Basic test script for the VSA Devices
% SWITCH ON ALL DEVICES BEFORE RUNNING THIS SCRIPT

% ADJUST FOLLOWING PORTS: (Look up in the system preferences) 

azim_com='COM2';    % NPort P1
elev_com='COM5';    % NPort P2
temp_com='COM6';    % NPort P3
laser_com='COM7';   % NPort P4

answer = vs_motion(azim_com, 'az', 'mov', 0, 100, 100)
pause(answer.estimatedTime+0.5);

asnwer = vs_motion(elev_com, 'el', 'mov', 0, 100, 100)
pause(answer.estimatedTime+0.5);

for inc = 1:180
    
    answer = vs_motion(azim_com, 'az', 'mov', inc, 30, 30)
    asnwer = vs_motion(elev_com, 'el', 'mov', inc, 30, 30)
    [temperature, flag] = vs_temp(temp_com)
    [distance, flag] = vs_laser(laser_com,'Dm')
    
end